1. # Makefile.in generated by automake 1.11.6 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3.  
  4. # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5. # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
  6. # Foundation, Inc.
  7. # This Makefile.in is free software; the Free Software Foundation
  8. # gives unlimited permission to copy and/or distribute it,
  9. # with or without modifications, as long as this notice is preserved.
  10.  
  11. # This program is distributed in the hope that it will be useful,
  12. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  13. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  14. # PARTICULAR PURPOSE.
  15.  
  16.  
  17.  
  18.  
  19.  
  20. am__make_dryrun = \
  21. { \
  22. am__dry=no; \
  23. case $$MAKEFLAGS in \
  24. *\\[\ \ ]*) \
  25. echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
  26. | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
  27. *) \
  28. for am__flg in $$MAKEFLAGS; do \
  29. case $$am__flg in \
  30. *=*|--*) ;; \
  31. *n*) am__dry=yes; break;; \
  32. esac; \
  33. done;; \
  34. esac; \
  35. test $$am__dry = yes; \
  36. }
  37. pkgdatadir = $(datadir)/xmonad-log-applet
  38. pkgincludedir = $(includedir)/xmonad-log-applet
  39. pkglibdir = $(libdir)/xmonad-log-applet
  40. pkglibexecdir = $(libexecdir)/xmonad-log-applet
  41. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  42. install_sh_DATA = $(install_sh) -c -m 644
  43. install_sh_PROGRAM = $(install_sh) -c
  44. install_sh_SCRIPT = $(install_sh) -c
  45. INSTALL_HEADER = $(INSTALL_DATA)
  46. transform = $(program_transform_name)
  47. NORMAL_INSTALL = :
  48. PRE_INSTALL = :
  49. POST_INSTALL = :
  50. NORMAL_UNINSTALL = :
  51. PRE_UNINSTALL = :
  52. POST_UNINSTALL = :
  53. plugin_PROGRAMS = xmonad-log-applet$(EXEEXT)
  54. subdir = .
  55. DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
  56. $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  57. $(top_srcdir)/configure depcomp install-sh missing
  58. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  59. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  60. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  61. $(ACLOCAL_M4)
  62. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  63. configure.lineno config.status.lineno
  64. mkinstalldirs = $(install_sh) -d
  65. CONFIG_HEADER = config.h
  66. CONFIG_CLEAN_FILES =
  67. CONFIG_CLEAN_VPATH_FILES =
  68. am__installdirs = "$(DESTDIR)$(plugindir)" "$(DESTDIR)$(appletdir)"
  69. PROGRAMS = $(plugin_PROGRAMS)
  70. am_xmonad_log_applet_OBJECTS = xmonad_log_applet-main.$(OBJEXT)
  71. xmonad_log_applet_OBJECTS = $(am_xmonad_log_applet_OBJECTS)
  72. am__DEPENDENCIES_1 =
  73. xmonad_log_applet_DEPENDENCIES = $(am__DEPENDENCIES_1) \
  74. $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
  75. DEFAULT_INCLUDES = -I.
  76. depcomp = $(SHELL) $(top_srcdir)/depcomp
  77. am__depfiles_maybe = depfiles
  78. am__mv = mv -f
  79. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  80. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  81. CCLD = $(CC)
  82. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  83. SOURCES = $(xmonad_log_applet_SOURCES)
  84. DIST_SOURCES = $(xmonad_log_applet_SOURCES)
  85. am__can_run_installinfo = \
  86. case $$AM_UPDATE_INFO_DIR in \
  87. n|no|NO) false;; \
  88. *) (install-info --version) >/dev/null 2>&1;; \
  89. esac
  90. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  91. am__vpath_adj = case $$p in \
  92. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  93. *) f=$$p;; \
  94. esac;
  95. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  96. am__install_max = 40
  97. am__nobase_strip_setup = \
  98. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  99. am__nobase_strip = \
  100. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  101. am__nobase_list = $(am__nobase_strip_setup); \
  102. for p in $$list; do echo "$$p $$p"; done | \
  103. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  104. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  105. if (++n[$$2] == $(am__install_max)) \
  106. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  107. END { for (dir in files) print dir, files[dir] }'
  108. am__base_list = \
  109. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  110. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  111. am__uninstall_files_from_dir = { \
  112. test -z "$$files" \
  113. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  114. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  115. $(am__cd) "$$dir" && rm -f $$files; }; \
  116. }
  117. DATA = $(applet_DATA)
  118. ETAGS = etags
  119. CTAGS = ctags
  120. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  121. distdir = $(PACKAGE)-$(VERSION)
  122. top_distdir = $(distdir)
  123. am__remove_distdir = \
  124. if test -d "$(distdir)"; then \
  125. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  126. && rm -rf "$(distdir)" \
  127. || { sleep 5 && rm -rf "$(distdir)"; }; \
  128. else :; fi
  129. DIST_ARCHIVES = $(distdir).tar.gz
  130. GZIP_ENV = --best
  131. distuninstallcheck_listfiles = find . -type f -print
  132. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  133. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  134. distcleancheck_listfiles = find . -type f -print
  135. ACLOCAL = ${SHELL} /home/ari/development/xmonad-log-applet/missing --run aclocal-1.11
  136. AMTAR = $${TAR-tar}
  137. AUTOCONF = ${SHELL} /home/ari/development/xmonad-log-applet/missing --run autoconf
  138. AUTOHEADER = ${SHELL} /home/ari/development/xmonad-log-applet/missing --run autoheader
  139. AUTOMAKE = ${SHELL} /home/ari/development/xmonad-log-applet/missing --run automake-1.11
  140. AWK = mawk
  141. CC = gcc
  142. CCDEPMODE = depmode=gcc3
  143. CFLAGS = -g -O2
  144. CPP = gcc -E
  145. CPPFLAGS =
  146. CYGPATH_W = echo
  147. DBUS_GLIB_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
  148. DBUS_GLIB_LIBS = -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0
  149. DEFS = -DHAVE_CONFIG_H
  150. DEPDIR = .deps
  151. ECHO_C =
  152. ECHO_N = -n
  153. ECHO_T =
  154. EGREP = /bin/grep -E
  155. EXEEXT =
  156. GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
  157. GLIB_LIBS = -lglib-2.0
  158. GREP = /bin/grep
  159. INSTALL = /usr/bin/install -c
  160. INSTALL_DATA = ${INSTALL} -m 644
  161. INSTALL_PROGRAM = ${INSTALL}
  162. INSTALL_SCRIPT = ${INSTALL}
  163. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  164. LDFLAGS =
  165. LIBMATEPANEL_CFLAGS = -pthread -DMATECORBA2=1 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/mate-panel-3.0/libmate-panel-applet -I/usr/include/mateconf/2 -I/usr/include/matecorba-2.0
  166. LIBMATEPANEL_LIBS = -lmate-panel-applet-3 -lmateconf-2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0
  167. LIBOBJS =
  168. LIBPANEL_APPLET_DIR = /usr/share/mate-panel/applets
  169. LIBPANEL_CFLAGS =
  170. LIBPANEL_LIBS =
  171. LIBS =
  172. LTLIBOBJS =
  173. MAINT = #
  174. MAKEINFO = ${SHELL} /home/ari/development/xmonad-log-applet/missing --run makeinfo
  175. MKDIR_P = /bin/mkdir -p
  176. OBJEXT = o
  177. PACKAGE = xmonad-log-applet
  178. PACKAGE_BUGREPORT =
  179. PACKAGE_NAME = Xmonad Log Applet
  180. PACKAGE_STRING = Xmonad Log Applet 2.0.0
  181. PACKAGE_TARNAME = xmonad-log-applet
  182. PACKAGE_URL =
  183. PACKAGE_VERSION = 2.0.0
  184. PATH_SEPARATOR = :
  185. PKG_CONFIG = /usr/bin/pkg-config
  186. PKG_CONFIG_LIBDIR =
  187. PKG_CONFIG_PATH =
  188. PLUGIN_DIR = /usr/libexec
  189. SED = /bin/sed
  190. SESSION_BUS_SERVICES_DIR = /usr/share/dbus-1/services
  191. SET_MAKE =
  192. SHELL = /bin/bash
  193. STRIP =
  194. VERSION = 2.0.0
  195. abs_builddir = /home/ari/development/xmonad-log-applet
  196. abs_srcdir = /home/ari/development/xmonad-log-applet
  197. abs_top_builddir = /home/ari/development/xmonad-log-applet
  198. abs_top_srcdir = /home/ari/development/xmonad-log-applet
  199. ac_ct_CC = gcc
  200. am__include = include
  201. am__leading_dot = .
  202. am__quote =
  203. am__tar = $${TAR-tar} chof - "$$tardir"
  204. am__untar = $${TAR-tar} xf -
  205. bindir = ${exec_prefix}/bin
  206. build_alias =
  207. builddir = .
  208. datadir = ${datarootdir}
  209. datarootdir = ${prefix}/share
  210. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  211. dvidir = ${docdir}
  212. exec_prefix = ${prefix}
  213. host_alias =
  214. htmldir = ${docdir}
  215. includedir = ${prefix}/include
  216. infodir = ${datarootdir}/info
  217. install_sh = ${SHELL} /home/ari/development/xmonad-log-applet/install-sh
  218. libdir = ${exec_prefix}/lib
  219. libexecdir = ${exec_prefix}/libexec
  220. localedir = ${datarootdir}/locale
  221. localstatedir = ${prefix}/var
  222. mandir = ${datarootdir}/man
  223. mkdir_p = /bin/mkdir -p
  224. oldincludedir = /usr/include
  225. pdfdir = ${docdir}
  226. prefix = /usr/local
  227. program_transform_name = s,x,x,
  228. psdir = ${docdir}
  229. sbindir = ${exec_prefix}/sbin
  230. sharedstatedir = ${prefix}/com
  231. srcdir = .
  232. sysconfdir = ${prefix}/etc
  233. target_alias =
  234. top_build_prefix =
  235. top_builddir = .
  236. top_srcdir = .
  237. plugindir = $(PLUGIN_DIR)
  238. xmonad_log_applet_SOURCES = main.c
  239. xmonad_log_applet_CPPFLAGS = \
  240. $(GLIB_CFLAGS) \
  241. $(DBUS_GLIB_CFLAGS) \
  242. $(LIBPANEL_CFLAGS)
  243.  
  244. xmonad_log_applet_LDADD = \
  245. $(GLIB_LIBS) \
  246. $(DBUS_GLIB_LIBS) \
  247. $(LIBPANEL_LIBS)
  248.  
  249. appletdir = $(LIBPANEL_APPLET_DIR)
  250. #applet_files = xmonad-log-applet.desktop
  251. applet_DATA = $(applet_files)
  252. DISTCLEANFILES = \
  253. $(applet_DATA) \
  254. $(service_DATA)
  255.  
  256. EXTRA_DIST = \
  257. AUTHORS.md \
  258. LICENSE \
  259. README.md \
  260. xmonad.hs \
  261. xmonad-log-applet48.png \
  262. org.gnome.panel.XmonadLogApplet.panel-applet.in \
  263. org.mate.panel.XmonadLogApplet.panel-applet.in \
  264. xmonad-log-applet.desktop.in \
  265. $(service_in_files)
  266.  
  267. gtk_update_icon_cache = gtk-update-icon-cache -f -t
  268. all: config.h
  269. $(MAKE) $(AM_MAKEFLAGS) all-am
  270.  
  271. .SUFFIXES:
  272. .SUFFIXES: .c .o .obj
  273. am--refresh: Makefile
  274. @:
  275. $(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(am__configure_deps)
  276. @for dep in $?; do \
  277. case '$(am__configure_deps)' in \
  278. *$$dep*) \
  279. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  280. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  281. && exit 0; \
  282. exit 1;; \
  283. esac; \
  284. done; \
  285. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  286. $(am__cd) $(top_srcdir) && \
  287. $(AUTOMAKE) --foreign Makefile
  288. .PRECIOUS: Makefile
  289. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  290. @case '$?' in \
  291. *config.status*) \
  292. echo ' $(SHELL) ./config.status'; \
  293. $(SHELL) ./config.status;; \
  294. *) \
  295. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  296. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  297. esac;
  298.  
  299. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  300. $(SHELL) ./config.status --recheck
  301.  
  302. $(top_srcdir)/configure: # $(am__configure_deps)
  303. $(am__cd) $(srcdir) && $(AUTOCONF)
  304. $(ACLOCAL_M4): # $(am__aclocal_m4_deps)
  305. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  306. $(am__aclocal_m4_deps):
  307.  
  308. config.h: stamp-h1
  309. @if test ! -f $@; then rm -f stamp-h1; else :; fi
  310. @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
  311.  
  312. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  313. @rm -f stamp-h1
  314. cd $(top_builddir) && $(SHELL) ./config.status config.h
  315. $(srcdir)/config.h.in: # $(am__configure_deps)
  316. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  317. rm -f stamp-h1
  318. touch $@
  319.  
  320. distclean-hdr:
  321. -rm -f config.h stamp-h1
  322. install-pluginPROGRAMS: $(plugin_PROGRAMS)
  323. @$(NORMAL_INSTALL)
  324. @list='$(plugin_PROGRAMS)'; test -n "$(plugindir)" || list=; \
  325. if test -n "$$list"; then \
  326. echo " $(MKDIR_P) '$(DESTDIR)$(plugindir)'"; \
  327. $(MKDIR_P) "$(DESTDIR)$(plugindir)" || exit 1; \
  328. fi; \
  329. for p in $$list; do echo "$$p $$p"; done | \
  330. sed 's/$(EXEEXT)$$//' | \
  331. while read p p1; do if test -f $$p; \
  332. then echo "$$p"; echo "$$p"; else :; fi; \
  333. done | \
  334. sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
  335. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  336. sed 'N;N;N;s,\n, ,g' | \
  337. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  338. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  339. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  340. else { print "f", $$3 "/" $$4, $$1; } } \
  341. END { for (d in files) print "f", d, files[d] }' | \
  342. while read type dir files; do \
  343. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  344. test -z "$$files" || { \
  345. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(plugindir)$$dir'"; \
  346. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(plugindir)$$dir" || exit $$?; \
  347. } \
  348. ; done
  349.  
  350. uninstall-pluginPROGRAMS:
  351. @$(NORMAL_UNINSTALL)
  352. @list='$(plugin_PROGRAMS)'; test -n "$(plugindir)" || list=; \
  353. files=`for p in $$list; do echo "$$p"; done | \
  354. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  355. -e 's/$$/$(EXEEXT)/' `; \
  356. test -n "$$list" || exit 0; \
  357. echo " ( cd '$(DESTDIR)$(plugindir)' && rm -f" $$files ")"; \
  358. cd "$(DESTDIR)$(plugindir)" && rm -f $$files
  359.  
  360. clean-pluginPROGRAMS:
  361. -test -z "$(plugin_PROGRAMS)" || rm -f $(plugin_PROGRAMS)
  362. xmonad-log-applet$(EXEEXT): $(xmonad_log_applet_OBJECTS) $(xmonad_log_applet_DEPENDENCIES) $(EXTRA_xmonad_log_applet_DEPENDENCIES)
  363. @rm -f xmonad-log-applet$(EXEEXT)
  364. $(LINK) $(xmonad_log_applet_OBJECTS) $(xmonad_log_applet_LDADD) $(LIBS)
  365.  
  366. mostlyclean-compile:
  367. -rm -f *.$(OBJEXT)
  368.  
  369. distclean-compile:
  370. -rm -f *.tab.c
  371.  
  372. include ./$(DEPDIR)/xmonad_log_applet-main.Po
  373.  
  374. .c.o:
  375. $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  376. $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  377. # source='$<' object='$@' libtool=no \
  378. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  379. # $(COMPILE) -c $<
  380.  
  381. .c.obj:
  382. $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  383. $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  384. # source='$<' object='$@' libtool=no \
  385. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  386. # $(COMPILE) -c `$(CYGPATH_W) '$<'`
  387.  
  388. xmonad_log_applet-main.o: main.c
  389. $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xmonad_log_applet_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xmonad_log_applet-main.o -MD -MP -MF $(DEPDIR)/xmonad_log_applet-main.Tpo -c -o xmonad_log_applet-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c
  390. $(am__mv) $(DEPDIR)/xmonad_log_applet-main.Tpo $(DEPDIR)/xmonad_log_applet-main.Po
  391. # source='main.c' object='xmonad_log_applet-main.o' libtool=no \
  392. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  393. # $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xmonad_log_applet_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xmonad_log_applet-main.o `test -f 'main.c' || echo '$(srcdir)/'`main.c
  394.  
  395. xmonad_log_applet-main.obj: main.c
  396. $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xmonad_log_applet_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT xmonad_log_applet-main.obj -MD -MP -MF $(DEPDIR)/xmonad_log_applet-main.Tpo -c -o xmonad_log_applet-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi`
  397. $(am__mv) $(DEPDIR)/xmonad_log_applet-main.Tpo $(DEPDIR)/xmonad_log_applet-main.Po
  398. # source='main.c' object='xmonad_log_applet-main.obj' libtool=no \
  399. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  400. # $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(xmonad_log_applet_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o xmonad_log_applet-main.obj `if test -f 'main.c'; then $(CYGPATH_W) 'main.c'; else $(CYGPATH_W) '$(srcdir)/main.c'; fi`
  401. install-appletDATA: $(applet_DATA)
  402. @$(NORMAL_INSTALL)
  403. @list='$(applet_DATA)'; test -n "$(appletdir)" || list=; \
  404. if test -n "$$list"; then \
  405. echo " $(MKDIR_P) '$(DESTDIR)$(appletdir)'"; \
  406. $(MKDIR_P) "$(DESTDIR)$(appletdir)" || exit 1; \
  407. fi; \
  408. for p in $$list; do \
  409. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  410. echo "$$d$$p"; \
  411. done | $(am__base_list) | \
  412. while read files; do \
  413. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(appletdir)'"; \
  414. $(INSTALL_DATA) $$files "$(DESTDIR)$(appletdir)" || exit $$?; \
  415. done
  416.  
  417. uninstall-appletDATA:
  418. @$(NORMAL_UNINSTALL)
  419. @list='$(applet_DATA)'; test -n "$(appletdir)" || list=; \
  420. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  421. dir='$(DESTDIR)$(appletdir)'; $(am__uninstall_files_from_dir)
  422.  
  423. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  424. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  425. unique=`for i in $$list; do \
  426. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  427. done | \
  428. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  429. END { if (nonempty) { for (i in files) print i; }; }'`; \
  430. mkid -fID $$unique
  431. tags: TAGS
  432.  
  433. TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  434. $(TAGS_FILES) $(LISP)
  435. set x; \
  436. here=`pwd`; \
  437. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  438. unique=`for i in $$list; do \
  439. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  440. done | \
  441. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  442. END { if (nonempty) { for (i in files) print i; }; }'`; \
  443. shift; \
  444. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  445. test -n "$$unique" || unique=$$empty_fix; \
  446. if test $$# -gt 0; then \
  447. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  448. "$$@" $$unique; \
  449. else \
  450. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  451. $$unique; \
  452. fi; \
  453. fi
  454. ctags: CTAGS
  455. CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  456. $(TAGS_FILES) $(LISP)
  457. list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  458. unique=`for i in $$list; do \
  459. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  460. done | \
  461. $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  462. END { if (nonempty) { for (i in files) print i; }; }'`; \
  463. test -z "$(CTAGS_ARGS)$$unique" \
  464. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  465. $$unique
  466.  
  467. GTAGS:
  468. here=`$(am__cd) $(top_builddir) && pwd` \
  469. && $(am__cd) $(top_srcdir) \
  470. && gtags -i $(GTAGS_ARGS) "$$here"
  471.  
  472. distclean-tags:
  473. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  474.  
  475. distdir: $(DISTFILES)
  476. $(am__remove_distdir)
  477. test -d "$(distdir)" || mkdir "$(distdir)"
  478. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  479. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  480. list='$(DISTFILES)'; \
  481. dist_files=`for file in $$list; do echo $$file; done | \
  482. sed -e "s|^$$srcdirstrip/||;t" \
  483. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  484. case $$dist_files in \
  485. */*) $(MKDIR_P) `echo "$$dist_files" | \
  486. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  487. sort -u` ;; \
  488. esac; \
  489. for file in $$dist_files; do \
  490. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  491. if test -d $$d/$$file; then \
  492. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  493. if test -d "$(distdir)/$$file"; then \
  494. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  495. fi; \
  496. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  497. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  498. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  499. fi; \
  500. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  501. else \
  502. test -f "$(distdir)/$$file" \
  503. || cp -p $$d/$$file "$(distdir)/$$file" \
  504. || exit 1; \
  505. fi; \
  506. done
  507. -test -n "$(am__skip_mode_fix)" \
  508. || find "$(distdir)" -type d ! -perm -755 \
  509. -exec chmod u+rwx,go+rx {} \; -o \
  510. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  511. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  512. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  513. || chmod -R a+r "$(distdir)"
  514. dist-gzip: distdir
  515. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  516. $(am__remove_distdir)
  517.  
  518. dist-bzip2: distdir
  519. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  520. $(am__remove_distdir)
  521.  
  522. dist-lzip: distdir
  523. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  524. $(am__remove_distdir)
  525.  
  526. dist-lzma: distdir
  527. tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  528. $(am__remove_distdir)
  529.  
  530. dist-xz: distdir
  531. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  532. $(am__remove_distdir)
  533.  
  534. dist-tarZ: distdir
  535. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  536. $(am__remove_distdir)
  537.  
  538. dist-shar: distdir
  539. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  540. $(am__remove_distdir)
  541.  
  542. dist-zip: distdir
  543. -rm -f $(distdir).zip
  544. zip -rq $(distdir).zip $(distdir)
  545. $(am__remove_distdir)
  546.  
  547. dist dist-all: distdir
  548. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  549. $(am__remove_distdir)
  550.  
  551. # This target untars the dist file and tries a VPATH configuration. Then
  552. # it guarantees that the distribution is self-contained by making another
  553. # tarfile.
  554. distcheck: dist
  555. case '$(DIST_ARCHIVES)' in \
  556. *.tar.gz*) \
  557. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  558. *.tar.bz2*) \
  559. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  560. *.tar.lzma*) \
  561. lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  562. *.tar.lz*) \
  563. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  564. *.tar.xz*) \
  565. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  566. *.tar.Z*) \
  567. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  568. *.shar.gz*) \
  569. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  570. *.zip*) \
  571. unzip $(distdir).zip ;;\
  572. esac
  573. chmod -R a-w $(distdir); chmod u+w $(distdir)
  574. mkdir $(distdir)/_build
  575. mkdir $(distdir)/_inst
  576. chmod a-w $(distdir)
  577. test -d $(distdir)/_build || exit 0; \
  578. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  579. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  580. && am__cwd=`pwd` \
  581. && $(am__cd) $(distdir)/_build \
  582. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  583. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  584. $(DISTCHECK_CONFIGURE_FLAGS) \
  585. && $(MAKE) $(AM_MAKEFLAGS) \
  586. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  587. && $(MAKE) $(AM_MAKEFLAGS) check \
  588. && $(MAKE) $(AM_MAKEFLAGS) install \
  589. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  590. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  591. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  592. distuninstallcheck \
  593. && chmod -R a-w "$$dc_install_base" \
  594. && ({ \
  595. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  596. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  597. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  598. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  599. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  600. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  601. && rm -rf "$$dc_destdir" \
  602. && $(MAKE) $(AM_MAKEFLAGS) dist \
  603. && rm -rf $(DIST_ARCHIVES) \
  604. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  605. && cd "$$am__cwd" \
  606. || exit 1
  607. $(am__remove_distdir)
  608. @(echo "$(distdir) archives ready for distribution: "; \
  609. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  610. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  611. distuninstallcheck:
  612. @test -n '$(distuninstallcheck_dir)' || { \
  613. echo 'ERROR: trying to run $@ with an empty' \
  614. '$$(distuninstallcheck_dir)' >&2; \
  615. exit 1; \
  616. }; \
  617. $(am__cd) '$(distuninstallcheck_dir)' || { \
  618. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  619. exit 1; \
  620. }; \
  621. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  622. || { echo "ERROR: files left after uninstall:" ; \
  623. if test -n "$(DESTDIR)"; then \
  624. echo " (check DESTDIR support)"; \
  625. fi ; \
  626. $(distuninstallcheck_listfiles) ; \
  627. exit 1; } >&2
  628. distcleancheck: distclean
  629. @if test '$(srcdir)' = . ; then \
  630. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  631. exit 1 ; \
  632. fi
  633. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  634. || { echo "ERROR: files left in build directory after distclean:" ; \
  635. $(distcleancheck_listfiles) ; \
  636. exit 1; } >&2
  637. check-am: all-am
  638. check: check-am
  639. all-am: Makefile $(PROGRAMS) $(DATA) config.h
  640. installdirs:
  641. for dir in "$(DESTDIR)$(plugindir)" "$(DESTDIR)$(appletdir)"; do \
  642. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  643. done
  644. install: install-am
  645. install-exec: install-exec-am
  646. install-data: install-data-am
  647. uninstall: uninstall-am
  648.  
  649. install-am: all-am
  650. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  651.  
  652. installcheck: installcheck-am
  653. install-strip:
  654. if test -z '$(STRIP)'; then \
  655. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  656. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  657. install; \
  658. else \
  659. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  660. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  661. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  662. fi
  663. mostlyclean-generic:
  664.  
  665. clean-generic:
  666.  
  667. distclean-generic:
  668. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  669. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  670. -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
  671.  
  672. maintainer-clean-generic:
  673. @echo "This command is intended for maintainers to use"
  674. @echo "it deletes files that may require special tools to rebuild."
  675. clean: clean-am
  676.  
  677. clean-am: clean-generic clean-pluginPROGRAMS mostlyclean-am
  678.  
  679. distclean: distclean-am
  680. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  681. -rm -rf ./$(DEPDIR)
  682. -rm -f Makefile
  683. distclean-am: clean-am distclean-compile distclean-generic \
  684. distclean-hdr distclean-tags
  685.  
  686. dvi: dvi-am
  687.  
  688. dvi-am:
  689.  
  690. html: html-am
  691.  
  692. html-am:
  693.  
  694. info: info-am
  695.  
  696. info-am:
  697.  
  698. install-data-am: install-appletDATA install-data-local \
  699. install-pluginPROGRAMS
  700.  
  701. install-dvi: install-dvi-am
  702.  
  703. install-dvi-am:
  704.  
  705. install-exec-am:
  706.  
  707. install-html: install-html-am
  708.  
  709. install-html-am:
  710.  
  711. install-info: install-info-am
  712.  
  713. install-info-am:
  714.  
  715. install-man:
  716.  
  717. install-pdf: install-pdf-am
  718.  
  719. install-pdf-am:
  720.  
  721. install-ps: install-ps-am
  722.  
  723. install-ps-am:
  724.  
  725. installcheck-am:
  726.  
  727. maintainer-clean: maintainer-clean-am
  728. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  729. -rm -rf $(top_srcdir)/autom4te.cache
  730. -rm -rf ./$(DEPDIR)
  731. -rm -f Makefile
  732. maintainer-clean-am: distclean-am maintainer-clean-generic
  733.  
  734. mostlyclean: mostlyclean-am
  735.  
  736. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  737.  
  738. pdf: pdf-am
  739.  
  740. pdf-am:
  741.  
  742. ps: ps-am
  743.  
  744. ps-am:
  745.  
  746. uninstall-am: uninstall-appletDATA uninstall-local \
  747. uninstall-pluginPROGRAMS
  748.  
  749. .MAKE: all install-am install-strip
  750.  
  751. .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
  752. clean-generic clean-pluginPROGRAMS ctags dist dist-all \
  753. dist-bzip2 dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ \
  754. dist-xz dist-zip distcheck distclean distclean-compile \
  755. distclean-generic distclean-hdr distclean-tags distcleancheck \
  756. distdir distuninstallcheck dvi dvi-am html html-am info \
  757. info-am install install-am install-appletDATA install-data \
  758. install-data-am install-data-local install-dvi install-dvi-am \
  759. install-exec install-exec-am install-html install-html-am \
  760. install-info install-info-am install-man install-pdf \
  761. install-pdf-am install-pluginPROGRAMS install-ps install-ps-am \
  762. install-strip installcheck installcheck-am installdirs \
  763. maintainer-clean maintainer-clean-generic mostlyclean \
  764. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  765. tags uninstall uninstall-am uninstall-appletDATA \
  766. uninstall-local uninstall-pluginPROGRAMS
  767.  
  768. # $(applet_files): $(applet_files:.desktop=.desktop.in)
  769. # $(SED) -e "s|\@PLUGIN_DIR\@|$(PLUGIN_DIR)|" $< > $@
  770. if PANEL_MATE
  771. applet_files = org.mate.panel.XmonadLogApplet.panel-applet
  772. $(applet_files): $(applet_files:.panel-applet=.panel-applet.in)
  773. $(SED) -e "s|\@PLUGIN_DIR\@|$(PLUGIN_DIR)|" $< > $@
  774. else
  775. applet_files = org.gnome.panel.XmonadLogApplet.panel-applet
  776. $(applet_files): $(applet_files:.panel-applet=.panel-applet.in)
  777. $(SED) -e "s|\@PLUGIN_DIR\@|$(PLUGIN_DIR)|" $< > $@
  778. endif
  779.  
  780. if !PANEL_MATE
  781. servicedir = $(SESSION_BUS_SERVICES_DIR)
  782. service_in_files = org.gnome.panel.applet.XmonadLogAppletFactory.service.in
  783. service_DATA = $(service_in_files:.service.in=.service)
  784. org.gnome.panel.applet.XmonadLogAppletFactory.service: $(service_in_files)
  785. $(SED) -e "s|\@PLUGIN_DIR\@|$(PLUGIN_DIR)|" $< > $@
  786. else
  787. servicedir = $(SESSION_BUS_SERVICES_DIR)
  788. service_in_files = org.mate.panel.applet.XmonadLogAppletFactory.service.in
  789. service_DATA = $(service_in_files:.service.in=.service)
  790. org.mate.panel.applet.XmonadLogAppletFactory.service: $(service_in_files)
  791. $(SED) -e "s|\@PLUGIN_DIR\@|$(PLUGIN_DIR)|" $< > $@
  792. endif
  793.  
  794. update-icon-cache:
  795. @-if test -z "$(DESTDIR)"; then \
  796. echo "Updating Gtk icon cache."; \
  797. $(gtk_update_icon_cache) $(datadir)/icons/hicolor; \
  798. else \
  799. echo "*** Icon cache not updated. After (un)install, run this:"; \
  800. echo "*** $(gtk_update_icon_cache) $(datadir)/icons/hicolor"; \
  801. fi
  802.  
  803. install-icons:
  804. mkdir -p $(DESTDIR)$(datadir)/icons/hicolor/48x48/apps; \
  805. $(INSTALL_DATA) $(srcdir)/xmonad-log-applet48.png $(DESTDIR)$(datadir)/icons/hicolor/48x48/apps/xmonad-log-applet.png;
  806.  
  807. uninstall-icons:
  808. rm -f $(DESTDIR)$(datadir)/icons/hicolor/48x48/apps/xmonad-log-applet.png;
  809.  
  810. install-data-local: install-icons update-icon-cache
  811.  
  812. uninstall-local: uninstall-icons update-icon-cache
  813.  
  814. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  815. # Otherwise a system limit (for SysV at least) may be exceeded.
  816. .NOEXPORT: